Skip to content

Catalog

All operations require authentication, except the 3 marked Public.

3 operationsv1/vps/datacenter · /vps/order
Agent setup

List all VPS datacenters available for the given countryProductionPublic

GET
/1.0/vps/datacenter

Query parameters

country
CountryEnum

Country targeted

ValuesACADAEAFAGAIALAMAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESGSHSISJSKSLSMSNSOSRSSSTSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUNKNOWNUSUYUZVAVCVEVGVIVNVUWFWSXKYEYTZAZMZW

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/vps/datacenter
ResponseExample
[ "string"]

List datacenters with priority and stock status for a VPS orderProductionPublic

GET
/1.0/vps/order/rule/datacenter

Returns the datacenters available for a VPS order, with their priority and stock status.

Query parameters

os
string

VPS OS selection in order api

ovhSubsidiary
required
OvhSubsidiaryEnum

Subsidiary to sort datacenters

ValuesCZDEESEUFIFRGBIEITLTMANLPLPTSNTN
planCode
required
string

VPS plan code from order api

Response

200Datacenterssuccessful operation
datacenters
read-only
Datacenter[]
—

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/vps/order/rule/datacenter
ResponseExample
{ "datacenters": [ { "code": "string", "datacenter": "string", "daysBeforeDelivery": 0, "linuxStatus": "available", "status": "available", "windowsStatus": "available" } ]}

List datacenters with priority and stock status for every VPS model and storage optionProductionPublic

GET
/1.0/vps/order/rule/datacenter/aggregated

Returns, for every VPS model, the datacenters available for an order with their priority and stock status.

Query parameters

ovhSubsidiary
required
OvhSubsidiaryEnum

Subsidiary to sort datacenters

ValuesCZDEESEUFIFRGBIEITLTMANLPLPTSNTN
planCodes
required
string

Comma separated VPS plan codes from order api to answer for

Response

200AggregatedDatacenterssuccessful operation
models
read-only
ModelDatacenters[]

Datacenters rules of every requested VPS model

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/vps/order/rule/datacenter/aggregated
ResponseExample
{ "models": [ { "datacenters": [ { "code": "string", "datacenter": "string", "daysBeforeDelivery": 0, "linuxStatus": "available", "remoteStorage": true, "status": "available", "windowsStatus": "available" } ], "planCode": "string" } ]}